%define oname   optcomp
%define name    ocaml-%{oname}
%define version 1.4
%define release %mkrel 3

Summary: Optional compilation with cpp-like directives for OCaml
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://forge.ocamlcore.org/frs/download.php/1011/%{oname}-%{version}.tar.gz
License: MIT
Group:   Development/OCaml
Url:     http://forge.ocamlcore.org/projects/optcomp/
BuildRequires: ocaml-compiler
BuildRequires: ocaml-findlib
BuildRequires: camlp4-devel
Requires: camlp4

%description
Optcomp is a syntax extension which handles \#if, \#else, ... directives in
ocaml source files.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

ocaml setup.ml -build 


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/optcomp
ocaml setup.ml -install

%files
%doc README CHANGES
%dir %{_libdir}/ocaml/optcomp
%{_libdir}/ocaml/optcomp/META
%{_libdir}/ocaml/optcomp/*.cma
%{_libdir}/ocaml/optcomp/*.cmi
%{_libdir}/ocaml/optcomp/*.cmxs
%{_bindir}/optcomp-o
%{_bindir}/optcomp-r

%files devel
%{_libdir}/ocaml/optcomp/*.a
%{_libdir}/ocaml/optcomp/*.cmxa
%{_libdir}/ocaml/optcomp/*.cmx
%{_libdir}/ocaml/optcomp/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4-3.mga3
+ Revision: 361542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 malo <malo> 1.4-2.mga3
+ Revision: 338472
- add missing Requires for camlp4

* Fri Jan 04 2013 malo <malo> 1.4-1.mga3
+ Revision: 338461
- add missing BuildRequires camlp4-devel
- imported package ocaml-optcomp

